require File.expand_path(File.dirname(__FILE__) + '/spec_helper')

describe "SmtpcomApi::Account" do
  use_vcr_cassette 'client'
  let(:account) { SmtpcomApi::Account.new(API_KEY, API_HOST) }

  describe "like a client" do
    let(:client) { account }
    it_behaves_like "a client"
  end

  describe "attributes" do
    subject { account }

    it { should respond_to :first_name }
    it { should respond_to :last_name }
    it { should respond_to :email }
  end

  describe "account" do
    
    it "should return attributes hash" do
      account.attributes.should be_an_instance_of(Hash)
    end

    it "should return attributes hash" do
      account.attributes.should have_key(:first_name)
    end

    it "should be able to reload attributes" do
      account.reload.should be_an_instance_of(SmtpcomApi::Account)
    end

    it "should be able to save attributes" do
      account.save.should be_an_instance_of(SmtpcomApi::Account)
    end

    it "has dashboard" do
      account.stub(:now).and_return(1339225350)
      account.dashboard.should be_an_instance_of(Hash)
    end
 
  end

end
