require File.expand_path(File.dirname(__FILE__) + '/spec_helper')

describe "SmtpcomApi::Helpers" do
  before(:all) {
    RSpec::Mocks::Mock.const_set(:ATTRIBUTES, [:first, :second])
  }
  let(:obj){ mock("Obj").extend(SmtpcomApi::Helpers) }

  it "should return hash with attributes" do
    obj.instance_variable_set(:@first, 1)
    obj.instance_variable_set(:@second, 2)
    obj.to_hash.should == {:first => 1, :second => 2}
  end

  it "should set attributes from hash" do
    obj.set_attributes 'first' => 1, 'second' => 2
    obj.instance_variable_get(:@first).should == 1
    obj.instance_variable_get(:@second).should == 2
  end

end
